MUSCAND(1)

NAME

Muscand - File scanner daemon for Museek

SYNOPSIS
muscand [-c <filename>] [--config <filename>] [-b] [--buddy] [-l] [--list] [-h] [--help]

DESCRIPTION

Muscand is a FAM service that scans paths already configured by muscan(1) or musetup(1). If it detects changes to the paths, it will update the Shares Database it is watching after a few seconds. There are two available shares databases, Normal and Buddies-Only. Buddies-Only is an optional shares database that, if enabled, is only accessable by the users you've chosen as "Buddies".

Before running muscand, you will need a configured museekd, which can be done with musetup(1) or fI>musetup-gtk(1), and add some shared paths with either of the setup tools or with muscan(1).

OPTIONS

Muscand accepts the following options:

-c <filename>, --config <filename>
    Use a different config file.

-b, --buddy
    Select Buddy-Only Shares.

-h, --help
    Display Help, version and exit.

EXAMPLE

To run this program the standard way type:

muscand

Alternativly you use a different config file with:

muscand --config config.xml

Or, you can watch Buddy-Only shares:

muscand --buddy

FILES

~/.museekd/config.xml
    The default location for the museekd config file.

~/.museekd/config.shares
    The default location for the Normal shares database.

~/.museekd/config.shares.state
    The default location for the active Normal shares database.

~/.museekd/config.buddyshares
    The default location for the Buddy shares database.

~/.museekd/config.buddyshares.state
    The default location for the active Buddy shares database's.

AUTHORS

Hyriand <hyriand@thegraveyard.org>

daelstorm <daelstorm@gmail.com>

SEE ALSO

mucous(1) mulog(1) murmur(1) muscan(1) museekcontrol(1) museekd(1) museeq(1) musetup(1) musetup-gtk(1)